Package Details: abunchoftags 0651600-1

Git Clone URL: https://aur.archlinux.org/abunchoftags.git (read-only)
Package Base: abunchoftags
Description: a keyword <-> tag sync utility for notmuch and offlineimap/GMail
Upstream URL: https://github.com/gauteh/abunchoftags
Keywords: mail notmuch
Licenses: GPL
Submitter: gauteh
Maintainer: gauteh
Last Packager: gauteh
Votes: 2
Popularity: 0.000000
First Submitted: 2016-03-10 11:36
Last Updated: 2016-03-14 10:08

Dependencies (8)

Required by (0)

Sources (1)

Latest Comments

gauteh commented on 2019-03-24 05:19

Hi, this package has been replaced by gmailieer. And can be removed.

dreieck commented on 2019-03-21 17:54

Hello,

  • can you make the $pkgver monotoneously increasing, please? (And set epoch=1, since it means a change of the version numbering scheme.)
  • can you rename it to abunchoftags-git, since it actually always fetches what is newest in the git-repository? (And add provides=("abunchoftags=${pkgver}") and conflicts=('abunchoftags'))

A suggestion for pkgver():

pkgver() {
  cd "${srcdir}/abunchoftags"

  _rev="$(git rev-list --count HEAD)"
  _hash="$(git rev-parse --short HEAD)"
  _date="$(git log -n 1 --format=tformat:%ci | awk '{print $1}' | tr -d '-')"

  if [ -n "${_rev}" ]; then
    printf %s "r${_rev}.${_date}.${_hash}"
  fi
}

gauteh commented on 2017-07-22 15:45

This package functionality has been replaced by gmailieer.

ackthet commented on 2016-03-15 14:34

Thank you, it now works.

gauteh commented on 2016-03-14 10:11

thanks, should be fixed.

ackthet commented on 2016-03-14 00:02

I get the following error when building this:

Checking for glibmm-2.4... no
glibmm-2.4 not found.

You just need to add 'glibmm' to depends.